<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>3b6ce187-cca3-49b5-9617-5e92ba3a6649</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerfileContext>.</DockerfileContext>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="Views\Charts\Charts.cshtml" />
    <Content Remove="Views\Components\Buttons.cshtml" />
    <Content Remove="Views\Components\Cards.cshtml" />
    <Content Remove="Views\Connections\ForgotPassword.cshtml" />
    <Content Remove="Views\Connections\Login.cshtml" />
    <Content Remove="Views\Connections\Register.cshtml" />
    <Content Remove="Views\Home\Tables.cshtml" />
    <Content Remove="Views\Shared\Blank.cshtml" />
    <Content Remove="Views\Shared\Error.cshtml" />
    <Content Remove="Views\Utilities\UtilitiesAnimation.cshtml" />
    <Content Remove="Views\Utilities\UtilitiesBorder.cshtml" />
    <Content Remove="Views\Utilities\UtilitiesColor.cshtml" />
    <Content Remove="Views\Utilities\UtilitiesOther.cshtml" />
  </ItemGroup>

  <ItemGroup>
    <None Remove=".gitignore" />
  </ItemGroup>

  <ItemGroup>
    <None Include="Views\Charts\Charts.cshtml" />
    <None Include="Views\Components\Buttons.cshtml" />
    <None Include="Views\Components\Cards.cshtml" />
    <None Include="Views\Connections\ForgotPassword.cshtml" />
    <None Include="Views\Connections\Login.cshtml" />
    <None Include="Views\Connections\Register.cshtml" />
    <None Include="Views\Shared\Blank.cshtml" />
    <None Include="Views\Shared\Error.cshtml" />
    <None Include="Views\Tables\Tables.cshtml" />
    <None Include="Views\Utilities\UtilitiesAnimation.cshtml" />
    <None Include="Views\Utilities\UtilitiesBorder.cshtml" />
    <None Include="Views\Utilities\UtilitiesColor.cshtml" />
    <None Include="Views\Utilities\UtilitiesOther.cshtml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DotNetEnv" Version="3.1.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="9.0.7">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.7" />
    <PackageReference Include="Microsoft.SqlServer.Server" Version="1.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.21.0" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
    <PackageReference Include="System.Data.SqlClient" Version="4.9.0" />
  </ItemGroup>

</Project>
